import { RefObject } from 'react';
import { Extension } from '@codemirror/state';
import { EditorView } from '@codemirror/view';
export declare type Config = {
    padding?: number | string;
    readOnly?: boolean;
    showLineNumbers?: boolean;
    wrapLine?: boolean;
    extensions?: Extension;
    filename?: string;
};
export declare const getConfig: <T extends keyof Config>(key: T, value: Config[T]) => Extension;
export declare const useConfig: <T extends keyof Config>(view: RefObject<EditorView | null>, key: T, value: Config[T]) => void;
